Loading...
Searching...
No Matches
elxInstallAllComponents.h File Reference
`#include "elxComponentDatabase.h"`
`#include "elxInstallComponentFunctionDeclarations.h"`
`#include "elxInstallComponentFunctionCalls.h"`
Include dependency graph for elxInstallAllComponents.h:

Go to the source code of this file.

## Macros

#define | elxInstallComponentFunctionCallMacro(_classname)
#define | elxInstallComponentFunctionDeclarationMacro(_classname)

## Functions

int | InstallAllComponents (elx::ComponentDatabase *_cdb)

## Macro Definition Documentation

## elxInstallComponentFunctionCallMacro

#define elxInstallComponentFunctionCallMacro | ( |  | _classname | ) |

Value:
ret |= _classname##InstallComponent(_cdb)

elxInstallComponentFunctionCallMacro

Usage example: elxInstallComponentFunctionCallMacro( BSplineTransform );

This macro calls the function implemented by the elxInstallMacro. This macro is used by the CMake generated file elxInstallComponentFunctionCalls.h only.

Details: the InstallComponent function defined by elxInstallMacro is called.

Definition at line 59 of file elxInstallAllComponents.h.

## elxInstallComponentFunctionDeclarationMacro

#define elxInstallComponentFunctionDeclarationMacro | ( |  | _classname | ) |

Value:
extern "C" int _classname##InstallComponent(::elastix::ComponentDatabase * _cdb)
elastix::ComponentDatabase
The ComponentDatabase class is a class that stores the New() functions of all components.
Definition elxComponentDatabase.h:53

elxInstallComponentFunctionDeclarationMacro

Usage example: elxInstallComponentFunctionDeclarationMacro( BSplineTransform );

This macro declares the function implemented by the elxInstallMacro. This macro is used by the CMake generated file elxInstallComponentFunctionDeclarations.h only.

Details: the declaration of InstallComponent function defined by elxInstallMacro is simply repeated.

Definition at line 41 of file elxInstallAllComponents.h.

## Function Documentation

## InstallAllComponents()

int InstallAllComponents | ( | elx::ComponentDatabase * | _cdb | ) |

The following file, generated by CMake, declares all the InstallComponent functions implemented by the components.

Definition at line 67 of file elxInstallAllComponents.h.

Generated on 1768596610 for elastix by 1.15.0 |